@import '../../../assets/styles/common.scss';

.participants {
  width: 55%;
  height: 100%;
  margin-left: 2rem;

  &-header {
    margin: 2rem 1rem;
    font-weight: 700;
    font-size: 2.5rem;
    color: $white;

    &__row {
      display: flex;
      flex-direction: row;
    }

    &__col1 {
      width: 40%;
      padding: 1rem 1rem 1rem 2rem;
      font-size: 1.1rem;
      text-transform: uppercase;
    }

    &__col2 {
      width: 40%;
      padding: 1rem;
      font-size: 1.1rem;
      text-transform: uppercase;
    }

    &__col3 {
      width: 20%;
      padding: 1rem 2rem 1rem 1rem;
      font-size: 1.1rem;
      text-transform: uppercase;
    }
  }

  &-container {
    &__row {
      display: flex;
      flex-direction: row;
      align-items: center;
      border: 1px solid #ffffff33;
      border-radius: 1px;
      background-color: $blue-darkest;
      box-shadow: 0 2px 2px #000000bf;
    }
  }

  &-date {
    width: 40%;
    padding: 1rem;
    font-size: 1.5rem;
  }

  &-amount {
    display: inline-flex;
    align-items: center;
    width: 20%;
    padding: 1rem 2rem 1rem 1rem;
    font-size: 1.5rem;
  }

  &-usd {
    width: 2rem;
    height: 2rem;
    padding-right: 2px;
  }

  &--no-donations {
    display: flex;
    justify-content: center;
  }

  &-information {
    width: 40%;
    padding: 1rem 1rem 1rem 2rem;

    &__container {
      display: flex;
      align-items: center;
      cursor: pointer;

      &-username {
        font-size: 1.5rem;
      }

      &-avatar {
        position: static;
        width: 3rem;
        height: 3rem;
        margin-right: 1rem;
        border: 1px solid white;
        border-radius: 50%;
        object-fit: cover;
      }
    }

    &__socials {
      display: flex;
      justify-content: space-around;
      width: 70%;

      &-icon {
        display: flex;

        &__stats {
          display: flex;
          flex-direction: column;
          align-self: center;
          margin-left: 10px;

          &-icon {
            display: flex;
            align-items: center;

            &--red {
              @extend .participants-information__socials-icon__stats-icon;

              color: red;
            }
          }
        }
      }
    }
  }
}
